summaryrefslogtreecommitdiffstats
path: root/source/ap/mariadb
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/mariadb')
-rwxr-xr-xsource/ap/mariadb/mariadb.SlackBuild7
-rw-r--r--source/ap/mariadb/mysql.no.plugin_auth_pam.diff11
-rw-r--r--source/ap/mariadb/mysql_install_db.nopam.diff48
3 files changed, 0 insertions, 66 deletions
diff --git a/source/ap/mariadb/mariadb.SlackBuild b/source/ap/mariadb/mariadb.SlackBuild
index 634280605..bfbff136b 100755
--- a/source/ap/mariadb/mariadb.SlackBuild
+++ b/source/ap/mariadb/mariadb.SlackBuild
@@ -90,13 +90,6 @@ rm -rf ${PKGNAM}-$VERSION
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
-# Fix mysql_install_db if PAM is not installed:
-if [ ! -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
- zcat $CWD/mysql_install_db.nopam.diff.gz | patch -p1 --verbose || exit 1
- # Also no PAM plugin then:
- zcat $CWD/mysql.no.plugin_auth_pam.diff.gz | patch -p1 --verbose || exit 1
-fi
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/ap/mariadb/mysql.no.plugin_auth_pam.diff b/source/ap/mariadb/mysql.no.plugin_auth_pam.diff
deleted file mode 100644
index 34eedf5af..000000000
--- a/source/ap/mariadb/mysql.no.plugin_auth_pam.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./cmake/build_configurations/mysql_release.cmake.orig 2019-09-08 16:02:29.000000000 -0500
-+++ ./cmake/build_configurations/mysql_release.cmake 2019-09-11 14:56:53.845129062 -0500
-@@ -124,7 +124,7 @@
-
- IF(UNIX)
- SET(WITH_EXTRA_CHARSETS all CACHE STRING "")
-- SET(PLUGIN_AUTH_PAM YES)
-+ SET(PLUGIN_AUTH_PAM NO)
-
- IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
- IF(NOT IGNORE_AIO_CHECK)
diff --git a/source/ap/mariadb/mysql_install_db.nopam.diff b/source/ap/mariadb/mysql_install_db.nopam.diff
deleted file mode 100644
index 70503865a..000000000
--- a/source/ap/mariadb/mysql_install_db.nopam.diff
+++ /dev/null
@@ -1,48 +0,0 @@
---- ./scripts/mysql_install_db.sh.orig 2020-01-28 11:31:09.088303502 -0600
-+++ ./scripts/mysql_install_db.sh 2020-01-28 11:35:47.822283410 -0600
-@@ -480,25 +480,26 @@
-
- if test -n "$user"
- then
-- if test -z "$srcdir" -a "$in_rpm" -eq 0
-- then
-- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
-- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
-- if test $? -ne 0
-- then
-- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
-- echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
-- echo
-- fi
-- chown $user "$pamtooldir/auth_pam_tool_dir" && \
-- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
-- if test $? -ne 0
-- then
-- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
-- echo "to the '$user' user. Check that you have the necessary permissions and try again."
-- echo
-- fi
-- fi
-+ # Commented out since Slackware does not currently provide PAM:
-+ #if test -z "$srcdir" -a "$in_rpm" -eq 0
-+ #then
-+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
-+ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
-+ # if test $? -ne 0
-+ # then
-+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
-+ # echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
-+ # echo
-+ # fi
-+ # chown $user "$pamtooldir/auth_pam_tool_dir" && \
-+ # chmod 0700 "$pamtooldir/auth_pam_tool_dir"
-+ # if test $? -ne 0
-+ # then
-+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
-+ # echo "to the '$user' user. Check that you have the necessary permissions and try again."
-+ # echo
-+ # fi
-+ #fi
- args="$args --user=$user"
- fi
-